#include <Machine/MItemProcessor/MElectricFurnace/MElectricFurnace.hpp>
#include <SmeltingRuleRegistry/SmeltingRuleRegistry.hpp>

ItemStack MElectricFurnace::getOutputItem(ItemStack &input)
{
    return smeltingRuleRegistry.getSmeltingResult(input);
}

int MElectricFurnace::getPowerUsage()
{
    return 20;
}

std::string MElectricFurnace::displayName("Electric furnace");
std::string MElectricFurnace::machineBlockName("main:electricFurnace");
std::string MElectricFurnace::verb("Smelts");
std::string MElectricFurnace::helpUrl("articles/electric-furnace");

ItemStack MElectricFurnace::getOutputItemS(ItemStack &input)
{
    return smeltingRuleRegistry.getSmeltingResult(input);
}

MElectricFurnace::MElectricFurnace(LocalWorld &world, glm::ivec3 pos) : MItemProcessor(world, pos) {}

int MElectricFurnace::getCompletedProgress()
{
    return completedProgress;
}